OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
FloodFillSign< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | TreeTypePtr = typename TreeType::Ptr
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | RootNodeType = typename TreeType::RootNodeType
using | NodeChainType = typename RootNodeType::NodeChainType
using | InternalNodeType = typename boost::mpl::at< NodeChainType, boost::mpl::int_< 1 > >::type

## Public Member Functions
| FloodFillSign (const TreeType &tree, std::vector< TreeTypePtr > &segments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ InternalNodeType

using InternalNodeType = typename boost::mpl::at<NodeChainType, boost::mpl::int_<1> >::type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeChainType

using NodeChainType = typename RootNodeType::NodeChainType

## ◆ RootNodeType

using RootNodeType = typename TreeType::RootNodeType

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ FloodFillSign()

FloodFillSign | ( | const TreeType & | tree,
|  | std::vector< TreeTypePtr > & | segments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h